Package com.thaiopensource.relaxng.pattern

## Class MySchemaPatternBuilder

- java.lang.Object
- - com.thaiopensource.relaxng.pattern.PatternBuilder
  - - com.thaiopensource.relaxng.pattern.SchemaPatternBuilder
    - - com.thaiopensource.relaxng.pattern.MySchemaPatternBuilder

    public class MySchemaPatternBuilder
    extends com.thaiopensource.relaxng.pattern.SchemaPatternBuilder

This class extends `SchemaPatternBuilder` to copy the `Locator` when `ElementPattern` and `AttributePattern` are created, because by default the received locator instance is a singleton and we loose the correct line/character position.

Author:
  Angelo ZERR

### Field Summary

### Fields inherited from class com.thaiopensource.relaxng.pattern.PatternBuilder

`interner, notAllowed`

### Constructor Summary

Constructors
`MySchemaPatternBuilder()`

### Method Summary

### Methods inherited from class com.thaiopensource.relaxng.pattern.SchemaPatternBuilder

`hasIdTypes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MySchemaPatternBuilder

    public MySchemaPatternBuilder()